Bug 179445 - who belongs to floppy group can't mount floppy
who belongs to floppy group can't mount floppy
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mount (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 09:30 EST by Equipe SMART
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 07:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Equipe SMART 2006-01-31 09:30:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; fr-FR; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
In the Red Hat Enterprise Linux Manuals you can read this :
"
The floppy Group

If, for whatever reason, console access is not appropriate for you and your non-root users are required access to your system's diskette drive, this can be done using the floppy group. Add the user(s) to the floppy group using the tool of your choice. For example, the gpasswd command can be used to add user fred to the floppy group:

gpasswd -a fred floppy

Now, user fred is able to access the system's diskette drive from the console. 
"

It doesn't work : user fred is able to access system's diskette drive from the console just when :
=> he is the owner of the console and the owner option is in the /etc/fstab file for the /dev/fd0 device.
=> or the user option is in the /etc/fstab file for /dev/fd0 device

But if you just want that user fred is able to access system's diskette drive without be logued on the console, adding him to the floppy group won't change anything : he will not have the rights.

Why ?

Version-Release number of selected component (if applicable):
mount-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1.create a new user "toto" with redhat-config-user tool
2.add the user "toto" to the group "floppy"
3.edit the /etc/fstab file to change this line like this (no owner, no user option) :
/dev/fd0                /mnt/floppy             auto    noauto,kudzu 0 0
4.don't be logued as "toto" on the console
5.open an xterm via X server or via rlogin on the computer and type su - toto 
6.put a diskette in the floppy
7. type mount /mnt/floppy
  

Actual Results:  mount : only the user root can mount /dev/fd0 on /mnt/floppy

Expected Results:  It should have no error, because "toto" users belongs to group "floppy"

Additional info:
Comment 1 Radek Vokal 2006-11-29 07:37:50 EST
For RHEL3 we are looking only for critical bugs, security flaws and performance
issues. If you still experience the following problem please contact our support.

Note You need to log in before you can comment on or make changes to this bug.